org.apache.solr.util

## Class RTimer

- java.lang.Object
- - org.apache.solr.util.RTimer

- Direct Known Subclasses:
    RTimerTree

      public class RTimer
      extends Object

  A simple timer. RTimers are started automatically when instantiated.
  Since:
    solr 1.3

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static interface` | `RTimer.TimerImpl`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PAUSED`
    `static int` | `STARTED`
    `protected int` | `state`
    `static int` | `STOPPED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RTimer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getTime()` Get total elapsed time for this timer.
    `protected RTimer.TimerImpl` | `newTimerImpl()`
    `void` | `pause()`
    `void` | `resume()`
    `double` | `stop()` Stop this timer

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STARTED

          public static final int STARTED

      See Also:
        Constant Field Values

    - #### STOPPED

          public static final int STOPPED

      See Also:
        Constant Field Values

    - #### PAUSED

          public static final int PAUSED

      See Also:
        Constant Field Values

    - #### state

          protected int state

  - ### Constructor Detail

    - #### RTimer

          public RTimer()

  - ### Method Detail

    - #### newTimerImpl

          protected RTimer.TimerImpl newTimerImpl()

    - #### stop

          public double stop()

      Stop this timer

    - #### pause

          public void pause()

    - #### resume

          public void resume()

    - #### getTime

          public double getTime()

      Get total elapsed time for this timer.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.